## libreoffice 7.0.0~rc2

=== debian/changelog ===
libreoffice (1:7.0.0~rc2-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Disable tests.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 23 Jul 2020 08:02:49 -0700

libreoffice (1:7.0.0~rc2-1) unstable; urgency=medium

  * New upstream release candidate

  * debian/control*.in:
    - fix "compatibility" spelling and one s/package/library/ for consistency.
    - add explicit depends on liblibreoffice-java for documentation purposes
  * debian/rules:
    - symlink oo-ldap.xcd.sample and oo-ad-ldap.xcd.sample to
      in /etc/libreoffice/registry so that they are not hidden in
      /usr/lib/libreoffice/share/.registry
    - move /usr/lib/libreoffice/share/registry/README creation later it rules
      so that it doesn't get hidden in /usr/lib/libreoffice/share/.registry
    - fix adding the ucf snippets to zh-CN,zh-TW etc (closes: #964944)
    - update jh_classpath calls for libreoffice.jar

 -- Rene Engelhard <rene@debian.org>  Wed, 15 Jul 2020 18:31:45 +0000

libreoffice (1:7.0.0~rc1-5) unstable; urgency=medium

  * debian/control.in:
    - fix whitespace

 -- Rene Engelhard <rene@debian.org>  Wed, 08 Jul 2020 06:29:17 +0200

libreoffice (1:7.0.0~rc1-4) unstable; urgency=medium

  * debian/patches/disable-shortcuts_tab_navigation-uitest.diff: as
    name says, hangs in autopkgtest (or chroot), works in the build...

  * debian/rules:
    - use --with-extra-buildid instead of --with-build-version
  * debian/control*.in:
    - make all packages having (moved) config files depend on
      libreoffice-common (>= 1:7.0.0~alpha~) (closes: #964471)

 -- Rene Engelhard <rene@debian.org>  Tue, 07 Jul 2020 21:00:43 +0200

libreoffice (1:7.0.0~rc1-3) unstable; urgency=medium

  * debian/watch: follow rcs

  * debian/control*.in:
    - add Breaks:/Replaces: openclipart-libreoffice (<= 1:0.18+dfsg-17)
      (closes: #964251)
    - fix -dev-gui Breaks

 -- Rene Engelhard <rene@debian.org>  Sat, 04 Jul 2020 23:05:58 +0200

libreoffice (1:7.0.0~rc1-2) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sat, 04 Jul 2020 10:17:27 +0200

libreoffice (1:7.0.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/tests/patches/java-subsequentcheck-standalone.diff: unfuzzy.
    use $(shell .. | sed) instead of $(subst ..) since the latter doesn't
    work anymore...
  * debian/patches/disable-sc-sw-ScriptOrganizer-test.diff,
    debian/patches/sc-disable-UITest_options.diff: remove, works
    now (probably because of java-common below..)

  * debian/rules:
    - remove unused/-needed CLANG= setting and export CLANG_CC/CLANG_CXX
      instead if needed (don't set it for default clang version)
    - fix adding {cjk,ctl,ctlseqcheck}_*.xcd to -l10n-* .ucf files
    - make make check failures fatal again (on amd64/arm64)
    - don't use clang for skia on armel and build-conflict against clang on
      it (see #963162, #963167)

  * debian/tests/control:
    - fix uicheck-*:
      - add new dependencies (cui needs -writer now, too,
        sw needs calc for uno.InsertObject)
      - add libreoffice-java-common to uicheck-{sc,sw} for RunMacros dialog
        test (doesn't fail without but just prints an exception but...)
    - disable "smoketest" for now

  * debian/control*.in:
    - s/progamming/programming/ (closes: #963753)
    - make -common break libreoffice-l10n (<< 7.0) (and other packages having
      config files moved) due to registry move to /etc

  * debian/libreoffice-l10n.ucf.in: handle
    /etc/libreoffice/registry/res/registry_@ISO@.xcd so that the respective
    language actually gets active

  * debian/*.symbols: remove ure (closes: #963895) even though it means
    r-deps need to add dependencies manually...

 -- Rene Engelhard <rene@debian.org>  Thu, 02 Jul 2020 22:00:34 +0200

libreoffice (1:7.0.0~beta2-2) experimental; urgency=medium

  * debian/patches/apparmor-cleanups.diff: #include <abstractions/user-tmp>
    (closes: #962903)

  * debian/rules:
    - re-enable CoinMP

 -- Rene Engelhard <rene@debian.org>  Sun, 21 Jun 2020 13:24:03 +0200

libreoffice (1:7.0.0~beta2-1) experimental; urgency=medium

  * New upstream beta release
    - fixes signing existing PDFs (closes: #955272)
    - sets A4 in extras/source/shellnew templates (closes: #961473)

  * debian/rules:
    - revert add conditional and build-dep for new box2d, not used in 7.0
    - use default libboost*-dev (>= 1.71) in gcc 10 case now that we have
      a matching default boost

 -- Rene Engelhard <rene@debian.org>  Thu, 18 Jun 2020 21:43:26 +0200

libreoffice (1:7.0.0~beta1-1) experimental; urgency=medium

  * New upstream beta release

  * debian/rules:
    - build l10n again
    - add conditional and build-dep for new box2d
    - bump build-dependency to Java 1.9 for module-info support
    - make liblibreoffice-java depend on libunoloader-java
  * debian/copyright: add dtoa.

  * merge from Ubuntu:
    - Don't use main.xcd configured with --disable-gui

 -- Rene Engelhard <rene@debian.org>  Wed, 27 May 2020 22:24:38 +0200

libreoffice (1:7.0.0~alpha1-2) experimental; urgency=medium

  * debian/patches/libreoffice.jar-pom.diff: add pom for new
    libreoffice.jar
  * debian/patches/bigendian-ustrbuf-hxx.diff: add missing include
    on bigendian architectures
  * debian/patches/skia-SkOpts_crc32.diff: add missing SkOpts_crc32
    to fix skia build on arm

  * debian/control*in:
    - make -librelogo, -sdbc-postgresql and -report-builder explicitly
      depend on libreoffice-common (>= 1:7.0.0~alpha~) as otherwise
      /etc/libreoffice/registry might not exist yet
  * debian/copyright:
    - remove tango, add sukapura
    - add skia
  * debian/rules:
    - install libreoffice.jar using mh_* instead of jh_installlibs now
      that it has a pom
    - build with --disable-skia on bigendian architectures since skia
      upstream doesn't care about bigendian and make clang build-dep
      little endian archs-only.


