=== debian/control ===
Source: libreoffice
Section: editors
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
Uploaders: Rene Engelhard <rene@debian.org>, Chris Halls <halls@debian.org>
Build-Depends: apparmor <!nocheck>,
               autoconf,
               automake,
               bc,
               bison,
               bzip2,
               clang (>= 1:5.0.2) [alpha amd64 arm64 armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 mipsel mips64el ppc64el],
               coinor-libcoinmp-dev (>= 1.8.3-3~),
               coinor-libcoinutils-dev (>= 2.10.14+repack1-1),
               debhelper (>= 10.10.4),
               debhelper-compat (= 12),
               default-jdk (>= 2:1.9) [!hppa !s390 !sparc !hurd-i386] <!nojava>,
               default-libmysqlclient-dev,
               dh-apparmor,
               dh-python <!nopython>,
               dpkg-dev (>= 1.18.2~),
               dwz (>> 0.12-3),
               firebird-dev (>= 3.0.0.32483.ds4-4) [!hppa !mips64 !s390 !sparc],
               flex (>= 2.3.35),
               fontforge-nox | fontforge,
               g++ (>= 4:7),
               gcc (>= 4:7),
               gobject-introspection (>= 1.32.0),
               gperf (>= 3.1),
               java-common (>= 0.61) <!nojava>,
               javahelper (>= 0.37~) <!nojava>,
               junit4 (>= 4.8.2-2) [amd64 arm64] <!nocheck !nojava>,
               libabw-dev (>= 0.1),
               libarchive-zip-perl [!hppa !mips64 !s390 !sparc] <!nojava>,
               libavahi-client-dev,
               libbase-java [!hppa !mips64 !s390 !sparc] <!nojava>,
               libbluetooth-dev [linux-any],
               libboost-date-time-dev (>= 1.66),
               libboost-dev (>= 1.66),
               libboost-filesystem-dev (>= 1.66),
               libboost-iostreams-dev (>= 1.66),
               libboost-locale-dev (>= 1.66),
               libc0.1 (>= 2.10.2-7) [kfreebsd-any],
               libcairo2-dev,
               libcdr-dev (>= 0.1),
               libclucene-dev (>= 2.3.3.4-4.1),
               libcmis-dev (>= 0.5.2~),
               libcommons-logging-java [!hppa !mips64 !s390 !sparc] <!nojava>,
               libcups2-dev,
               libcurl4-gnutls-dev,
               libdbus-1-dev (>= 0.60),
               libdconf-dev (>= 0.15.2),
               libe-book-dev,
               libebook1.2-dev,
               libeot-dev,
               libepoxy-dev (>= 1.2),
               libepubgen-dev (>= 0.1.0),
               libetonyek-dev,
               libexpat1-dev,
               libexttextcat-dev (>= 3.4.1),
               libflute-java (>= 1.1.6) [!hppa !mips64 !s390 !sparc] <!nojava>,
               libfontconfig1-dev,
               libfonts-java (>= 1.1.6) [!hppa !mips64 !s390 !sparc] <!nojava>,
               libformula-java (>= 1.1.7) [!hppa !mips64 !s390 !sparc] <!nojava>,
               libfreehand-dev (>= 0.1),
               libfreetype6-dev (>= 2.2.0),
               libgirepository1.0-dev (>= 1.32),
               libgl-dev,
               libglib2.0-dev (>= 2.38.0),
               libglib2.0-dev (>= 2.4),
               libglm-dev (>= 0.9.9~a2),
               libgpg-error-dev,
               libgpgme-dev,
               libgpgmepp-dev,
               libgraphite2-dev (>= 0.9.3),
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtk-3-dev (>= 3.18.0),
               libharfbuzz-dev (>= 0.9.42),
               libhsqldb1.8.0-java (>> 1.8.0.10) [!hppa !mips64 !s390 !sparc] <!nojava>,
               libhunspell-dev (>= 1.1.5-2),
               libhyphen-dev (>= 2.4),
               libice-dev,
               libicu-dev (>= 52),
               libjpeg-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               libkf5windowsystem-dev,
               liblangtag-dev (>= 0.4),
               liblayout-java (>= 0.2.10) [!hppa !mips64 !s390 !sparc] <!nojava>,
               liblcms2-dev,
               libldap2-dev,
               libloader-java (>= 1.1.6) [!hppa !mips64 !s390 !sparc] <!nojava>,
               liblpsolve55-dev (>= 5.5.0.13-5+b1),
               libmdds-dev (>= 1.5),
               libmspub-dev (>= 0.1),
               libmwaw-dev (>= 0.3.1),
               libmythes-dev (>= 2:1.2),
               libneon27-gnutls-dev,
               libnspr4-dev,
               libnss3-dev (>= 3.12.3),
               libnumbertext-dev,
               libodfgen-dev (>= 0.1),
               liborcus-dev (>= 0.15),
               libpagemaker-dev,
               libpentaho-reporting-flow-engine-java (>= 0.9.4) [!hppa !mips64 !s390 !sparc] <!nojava>,
               libpng-dev,
               libpoppler-cpp-dev,
               libpoppler-dev (>= 0.12.0),
               libpoppler-private-dev,
               libpq-dev (>= 9.0~),
               libqrcodegencpp-dev,
               libqt5x11extras5-dev (>= 5.6),
               libqxp-dev,
               librdf0-dev (>= 1.0.16-2),
               librepository-java (>= 1.1.6) [!hppa !mips64 !s390 !sparc] <!nojava>,
               librevenge-dev,
               libsac-java [!hppa !mips64 !s390 !sparc] <!nojava>,
               libsane-dev,
               libserializer-java (>= 1.1.6) [!hppa !mips64 !s390 !sparc] <!nojava>,
               libsm-dev,
               libstaroffice-dev,
               libsuitesparse-dev (>= 1:3.4.0),
               libvisio-dev (>= 0.1),
               libwpd-dev (>= 0.10),
               libwpg-dev (>= 0.3),
               libwps-dev (>= 0.4),
               libx11-dev,
               libx11-xcb-dev,
               libxaw7-dev,
               libxcb-icccm4-dev,
               libxcb1-dev,
               libxext-dev,
               libxinerama-dev,
               libxkbfile-dev,
               libxml-java (>= 1.1.6) [!hppa !mips64 !s390 !sparc] <!nojava>,
               libxml2-dev (>= 2.8),
               libxml2-utils,
               libxmlsec1-dev (>= 1.2.28),
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               libxtst-dev,
               libzmf-dev,
               lp-solve (>= 5.5.0.13-5+b1),
               maven-repo-helper,
               pkg-config,
               python3,
               python3-dev (>= 3.3) <!nopython>,
               python3-distutils <!nopython>,
               qt5-qmake (>= 5.6),
               qtbase5-dev (>= 5.6),
               qtbase5-dev-tools (>= 5.6),
               ucpp,
               unixodbc-dev (>= 2.2.11),
               unzip,
               x11proto-render-dev,
               xsltproc,
               zip,
               zlib1g-dev
Build-Depends-Indep: ant (>= 1.7.0) [!hppa !mips64 !s390 !sparc] <!nojava>,
                     ant-optional (>= 1.7.0) [!hppa !mips64 !s390 !sparc] <!nojava>,
                     doxygen (>= 1.8.4) <!nodoc>,
                     g++-mingw-w64-i686,
                     gettext,
                     graphviz <!nodoc>,
                     libbsh-java <!nojava>,
                     rdfind,
                     symlinks
Build-Conflicts: amd-libopencl1,
                 clang [armel],
                 fonts-opensymbol <!nocheck>,
                 nvidia-glx-dev,
                 nvidia-glx-legacy-dev,
                 nvidia-libopencl1
Standards-Version: 4.0.1
Vcs-Git: https://salsa.debian.org/libreoffice-team/libreoffice/libreoffice.git
Vcs-Browser: https://salsa.debian.org/libreoffice-team/libreoffice/libreoffice
Bugs: 
Homepage: http://www.libreoffice.org

Package: libreoffice
Architecture: alpha amd64 arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el s390 s390x sparc sparc64
Section: metapackages
Depends: libreoffice-base [!hppa !mips64 !s390 !sparc],
         libreoffice-calc,
         libreoffice-core (= ${binary:Version}),
         libreoffice-draw,
         libreoffice-impress,
         libreoffice-math,
         libreoffice-report-builder-bin [!hppa !mips64 !s390 !sparc],
         libreoffice-writer,
         ${misc:Depends},
         ${pyuno-depends}
Recommends: fonts-crosextra-caladea,
            fonts-crosextra-carlito,
            fonts-dejavu,
            fonts-liberation,
            fonts-liberation2,
            fonts-linuxlibertine,
            fonts-noto-core,
            fonts-noto-extra,
            fonts-noto-mono,
            fonts-noto-ui-core,
            fonts-sil-gentium-basic,
            libreoffice-nlpsolver,
            libreoffice-report-builder [!hppa !mips64 !s390 !sparc],
            libreoffice-script-provider-bsh,
            libreoffice-script-provider-js,
            libreoffice-script-provider-python,
            libreoffice-sdbc-mysql,
            libreoffice-sdbc-postgresql,
            libreoffice-wiki-publisher,
            ${java-common-depends}
Suggests: cups-bsd,
          firefox-esr | thunderbird | firefox,
          ghostscript,
          gnupg,
          gpa,
          hunspell-dictionary,
          hyphen-hyphenation-patterns,
          imagemagick | graphicsmagick-imagemagick-compat,
          libgl1,
          libreoffice-gnome | libreoffice-plasma,
          libreoffice-grammarcheck,
          libreoffice-help (= ${help-l10n-virtual-version}),
          libreoffice-l10n (= ${help-l10n-virtual-version}),
          libreoffice-librelogo,
          libxrender1,
          myspell-dictionary,
          mythes-thesaurus,
          openclipart2-libreoffice | openclipart-libreoffice,
          pstoedit,
          unixodbc,
          ${gstreamer-plugins-suggests},
          ${java-runtime-depends},
          ${libsane-suggests},
          ${ooo-officebean-dep}
Conflicts: libreoffice-dev (<= 1:5.0.3~rc1-2),
           libreoffice-dev-doc (<= 1:5.0.3~rc1-2)
Description: office productivity suite (metapackage)
 LibreOffice is a full-featured office productivity suite that provides
 a near drop-in replacement for Microsoft(R) Office.
 .
 This metapackage installs all components of libreoffice:
  * libreoffice-writer: Word processor
  * libreoffice-calc: Spreadsheet
  * libreoffice-impress: Presentation
  * libreoffice-draw: Drawing
  * libreoffice-base: Database
  * libreoffice-math: Equation editor
 It also recommends additional packages (e.g. fonts) in order to match an
 upstream LibreOffice install as closely as possible.
 .
 You can extend the functionality of LibreOffice by installing these
 packages:
  * hunspell-*/myspell-*: Hunspell/Myspell dictionaries
    for use with LibreOffice
  * libreoffice-l10n-*: UI interface translation
  * libreoffice-help-*: User help
  * mythes-*: Thesauri for the use with LibreOffice
  * hyphen-*: Hyphenation patterns for LibreOffice
  * libreoffice-gtk(2|3): Gtk UI Plugin, GNOME File Picker support
  * libreoffice-gnome: GIO backend
  * unixodbc: ODBC database support
  * cups-bsd: Allows LibreOffice to detect your CUPS printer queues
    automatically
  * libsane: Use your sane-supported scanner with LibreOffice
  * libxrender1: Speed up display by using Xrender library
  * libgl1: OpenGL support
  * openclipart-libreoffice: Open Clip Art Gallery with LibreOffice index
    files
  * firefox-esr | thunderbird | firefox:
    Mozilla profile with Certificates needed for XML Security...
  * openjdk-11-jre | openjdk-8-jre | java8-runtime:
    Java Runtime Environment for use with LibreOffice
  * pstoedit / imagemagick / ghostscript: helper tools for EPS
  * gstreamer0.10-plugins-*: GStreamer plugins for use with LibreOffices
    media backend
  * libpaper-utils: papersize detection support via paperconf
  * bluez: Bluetooth support for Impress (slideshow remote control)

Package: libreoffice-nogui
Architecture: amd64 i386 arm64 armhf s390x ppc64 ppc64el
Section: metapackages
Depends: libreoffice-base-nogui [!hppa !mips64 !s390 !sparc],
