## libreoffice 7.0.0

=== debian/changelog ===
libreoffice (1:7.0.0-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * debian/rules: 
    - MINVER of coinmp is 1.8.3-3~ for our mx backport of it.
    - Add conditional so MX build-depends on
      qtchooser and exports QT_SELECT_5 (again).
    - Remove amd64 from list of 000_CHECK_FATAL_ARCHES; FTBFS on that arch.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 06 Aug 2020 08:10:52 -0700

libreoffice (1:7.0.0-1) unstable; urgency=medium

  * New upstream release
    - reverts the "Personal edition" nonsense (closes: #965235)

  * debian/patches/no-opencl-per-default.diff: as name says, disable OpenCL
    per default. Prompted by
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=954849#41 ff.
  * debian/tests/control: use libreoffice-l10n-zh-tw instead of
    libreoffice-l10n-ja to test a xx-YY locale so that stuff like #964944
    is noticed.
  * debian/rules:
    - remove Education;Science; from libreoffice-math.desktop (closes: #965338) 
    - build-depend on qtchooser and export QT_SELECT_5 (again) for
      buster-backports

 -- Rene Engelhard <rene@debian.org>  Sun, 01 Aug 2020 15:02:40 +0200
