=== debian/control ===
--- 
+++ 
@@ -22,12 +22,25 @@
                dpkg-dev (>= 1.18.2~),
                dwz (>> 0.12-3),
                firebird-dev (>= 3.0.0.32483.ds4-4) [!hppa !mips64 !s390 !sparc],
+               firebird3.0-server-core [!hppa !mips64 !s390 !sparc] <!nocheck>,
                flex (>= 2.3.35),
+               fontconfig [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el] <!nocheck>,
                fontforge-nox | fontforge,
+               fonts-crosextra-carlito [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el] <!nocheck>,
+               fonts-dejavu [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el] <!nocheck>,
+               fonts-liberation2 [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el] <!nocheck>,
                g++ (>= 4:7),
                gcc (>= 4:7),
+               gdb [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el] <!nocheck>,
+               ghostscript [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el] <!nocheck>,
                gobject-introspection (>= 1.32.0),
                gperf (>= 3.1),
+               gpg <!nocheck>,
+               gpg-agent <!nocheck>,
+               gpgconf <!nocheck>,
+               hunspell-en-us [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el] <!nocheck>,
+               hyphen-en-us [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el] <!nocheck>,
+               imagemagick [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el] <!nocheck>,
                java-common (>= 0.61) <!nojava>,
                javahelper (>= 0.37~) <!nojava>,
                junit4 (>= 4.8.2-2) [amd64 arm64] <!nocheck !nojava>,
@@ -47,16 +60,19 @@
                libclucene-dev (>= 2.3.3.4-4.1),
                libcmis-dev (>= 0.5.2~),
                libcommons-logging-java [!hppa !mips64 !s390 !sparc] <!nojava>,
+               libcppunit-dev (>= 1.14) [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el] <!nocheck>,
                libcups2-dev,
                libcurl4-gnutls-dev,
                libdbus-1-dev (>= 0.60),
                libdconf-dev (>= 0.15.2),
                libe-book-dev,
+               libe-book-dev (>= 0.1.2) <!nocheck>,
                libebook1.2-dev,
                libeot-dev,
                libepoxy-dev (>= 1.2),
                libepubgen-dev (>= 0.1.0),
                libetonyek-dev,
+               libetonyek-dev (>= 0.1.8) <!nocheck>,
                libexpat1-dev,
                libexttextcat-dev (>= 3.4.1),
                libflute-java (>= 1.1.6) [!hppa !mips64 !s390 !sparc] <!nojava>,
@@ -98,6 +114,7 @@
                libmdds-dev (>= 1.5),
                libmspub-dev (>= 0.1),
                libmwaw-dev (>= 0.3.1),
+               libmwaw-dev (>= 0.3.15) <!nocheck>,
                libmythes-dev (>= 2:1.2),
                libneon27-gnutls-dev,
                libnspr4-dev,
@@ -123,11 +140,13 @@
                libserializer-java (>= 1.1.6) [!hppa !mips64 !s390 !sparc] <!nojava>,
                libsm-dev,
                libstaroffice-dev,
+               libstaroffice-dev (>= 0.0.3) <!nocheck>,
                libsuitesparse-dev (>= 1:3.4.0),
                libvisio-dev (>= 0.1),
                libwpd-dev (>= 0.10),
                libwpg-dev (>= 0.3),
                libwps-dev (>= 0.4),
+               libwps-dev (>= 0.4.9) <!nocheck>,
                libx11-dev,
                libx11-xcb-dev,
                libxaw7-dev,
@@ -146,15 +165,19 @@
                libxt-dev,
                libxtst-dev,
                libzmf-dev,
+               locales [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el] <!nocheck>,
                lp-solve (>= 5.5.0.13-5+b1),
                maven-repo-helper,
                pkg-config,
+               pstoedit [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el] <!nocheck>,
                python3,
                python3-dev (>= 3.3) <!nopython>,
                python3-distutils <!nopython>,
+               python3-lxml <!nocheck !nopython>,
                qt5-qmake (>= 5.6),
                qtbase5-dev (>= 5.6),
                qtbase5-dev-tools (>= 5.6),
+               qtchooser,
                ucpp,
                unixodbc-dev (>= 2.2.11),
                unzip,
@@ -248,43 +271,3 @@
  .
  This metapackage installs all components of libreoffice:
   * libreoffice-writer: Word processor
-  * libreoffice-calc: Spreadsheet
-  * libreoffice-impress: Presentation
-  * libreoffice-draw: Drawing
-  * libreoffice-base: Database
-  * libreoffice-math: Equation editor
- It also recommends additional packages (e.g. fonts) in order to match an
- upstream LibreOffice install as closely as possible.
- .
- You can extend the functionality of LibreOffice by installing these
- packages:
-  * hunspell-*/myspell-*: Hunspell/Myspell dictionaries
-    for use with LibreOffice
-  * libreoffice-l10n-*: UI interface translation
-  * libreoffice-help-*: User help
-  * mythes-*: Thesauri for the use with LibreOffice
-  * hyphen-*: Hyphenation patterns for LibreOffice
-  * libreoffice-gtk(2|3): Gtk UI Plugin, GNOME File Picker support
-  * libreoffice-gnome: GIO backend
-  * unixodbc: ODBC database support
-  * cups-bsd: Allows LibreOffice to detect your CUPS printer queues
-    automatically
-  * libsane: Use your sane-supported scanner with LibreOffice
-  * libxrender1: Speed up display by using Xrender library
-  * libgl1: OpenGL support
-  * openclipart-libreoffice: Open Clip Art Gallery with LibreOffice index
-    files
-  * firefox-esr | thunderbird | firefox:
-    Mozilla profile with Certificates needed for XML Security...
-  * openjdk-11-jre | openjdk-8-jre | java8-runtime:
-    Java Runtime Environment for use with LibreOffice
-  * pstoedit / imagemagick / ghostscript: helper tools for EPS
-  * gstreamer0.10-plugins-*: GStreamer plugins for use with LibreOffices
-    media backend
-  * libpaper-utils: papersize detection support via paperconf
-  * bluez: Bluetooth support for Impress (slideshow remote control)
-
-Package: libreoffice-nogui
-Architecture: amd64 i386 arm64 armhf s390x ppc64 ppc64el
-Section: metapackages
-Depends: libreoffice-base-nogui [!hppa !mips64 !s390 !sparc],
