=== debian/rules ===
--- 
+++ 
@@ -218,7 +218,7 @@
 # This is not exactly allowed in https://wiki.debian.org/BuildProfileSpec#Registered_profile_names
 # but it doesn't have real practical difference, does it?
 ifneq (nocheck,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-  BUILD_TEST_PACKAGES=n
+  BUILD_TEST_PACKAGES=y
 endif
 
 ifneq ($(MAKECMDGOALS),build-indep)
