=== debian/tests/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
 Restrictions: allow-stderr
 
 Tests: uicheck-sc
-Depends: @builddeps@, libreoffice-core, libreoffice-calc, libreoffice-draw, python3-uno, libreoffice-l10n-he, libreoffice-l10n-ja, libreoffice-java-common
+Depends: @builddeps@, libreoffice-core, libreoffice-calc, libreoffice-draw, python3-uno, libreoffice-l10n-he, libreoffice-l10n-zh-tw, libreoffice-java-common
 Restrictions: allow-stderr
 
 Tests: uicheck-sd
@@ -41,11 +41,11 @@
 Restrictions: allow-stderr
 
 Tests: uicheck-sw
-Depends: @builddeps@, libreoffice-core, libreoffice-writer, libreoffice-calc, libreoffice-base, python3-uno, libreoffice-l10n-he, libreoffice-l10n-ja, libreoffice-librelogo, libreoffice-java-common
+Depends: @builddeps@, libreoffice-core, libreoffice-writer, libreoffice-calc, libreoffice-base, python3-uno, libreoffice-l10n-he, libreoffice-l10n-zh-tw, libreoffice-librelogo, libreoffice-java-common
 Restrictions: allow-stderr
 
 Tests: uicheck-uitest
-Depends: @builddeps@, libreoffice-core, libreoffice-writer, libreoffice-calc, libreoffice-impress, libreoffice-math, libreoffice-base, python3-uno, libreoffice-l10n-he, libreoffice-l10n-ja
+Depends: @builddeps@, libreoffice-core, libreoffice-writer, libreoffice-calc, libreoffice-impress, libreoffice-math, libreoffice-base, python3-uno, libreoffice-l10n-he, libreoffice-l10n-zh-tw
 Restrictions: allow-stderr
 
 Tests: uicheck-writerperfect
