## libreoffice 7.0.1~rc1

=== debian/changelog ===
libreoffice (1:7.0.1~rc1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * debian/rules: 
    - MINVER of coinmp is 1.8.3-3~ for our mx backport of it.
    - Add conditional so MX build-depends on
      qtchooser and exports QT_SELECT_5 (again).
    - Remove amd64 from list of 000_CHECK_FATAL_ARCHES; FTBFS on that arch.
  * Add missing libmwaw, xmlsec, mdds, orcus, and libnumbertext source tarballs
    to /tarballs so MX can build with those internally like buster-backports.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 17 Aug 2020 14:23:05 -0700

libreoffice (1:7.0.1~rc1-1) unstable; urgency=medium

  * New upstream release candidate

  * debian/patches/fix-build-with-cppunit-1.14.0.diff: as name says
  * debian/rules: bump libnumbertext build-dep to 1.0.6 and use internal
    libnumbertext for buster-backports

 -- Rene Engelhard <rene@debian.org>  Fri, 07 Aug 2020 19:30:24 +0200
