=== debian/control ===
--- 
+++ 
@@ -13,14 +13,12 @@
                clang (>= 1:5.0.2) [alpha amd64 arm64 armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 mipsel mips64el ppc64el],
                coinor-libcoinmp-dev (>= 1.8.3-3~),
                coinor-libcoinutils-dev (>= 2.10.14+repack1-1),
-               debhelper (>= 10.10.4),
                debhelper-compat (= 12),
                default-jdk (>= 2:1.9) [!hppa !s390 !sparc !hurd-i386] <!nojava>,
                default-libmysqlclient-dev,
                dh-apparmor,
                dh-python <!nopython>,
                dpkg-dev (>= 1.18.2~),
-               dwz (>> 0.12-3),
                firebird-dev (>= 3.0.0.32483.ds4-4) [!hppa !mips64 !s390 !sparc],
                firebird3.0-server-core [!hppa !mips64 !s390 !sparc] <!nocheck>,
                flex (>= 2.3.35),
@@ -54,6 +52,8 @@
                libboost-filesystem-dev (>= 1.66),
                libboost-iostreams-dev (>= 1.66),
                libboost-locale-dev (>= 1.66),
+               libboost-program-options-dev (>= 1.66),
+               libboost-system-dev (>= 1.66),
                libc0.1 (>= 2.10.2-7) [kfreebsd-any],
                libcairo2-dev,
                libcdr-dev (>= 0.1),
@@ -111,17 +111,12 @@
                libldap2-dev,
                libloader-java (>= 1.1.6) [!hppa !mips64 !s390 !sparc] <!nojava>,
                liblpsolve55-dev (>= 5.5.0.13-5+b1),
-               libmdds-dev (>= 1.5),
                libmspub-dev (>= 0.1),
-               libmwaw-dev (>= 0.3.1),
-               libmwaw-dev (>= 0.3.15) <!nocheck>,
                libmythes-dev (>= 2:1.2),
                libneon27-gnutls-dev,
                libnspr4-dev,
                libnss3-dev (>= 3.12.3),
-               libnumbertext-dev,
                libodfgen-dev (>= 0.1),
-               liborcus-dev (>= 0.15),
                libpagemaker-dev,
                libpentaho-reporting-flow-engine-java (>= 0.9.4) [!hppa !mips64 !s390 !sparc] <!nojava>,
                libpng-dev,
@@ -158,7 +153,6 @@
                libxml-java (>= 1.1.6) [!hppa !mips64 !s390 !sparc] <!nojava>,
                libxml2-dev (>= 2.8),
                libxml2-utils,
-               libxmlsec1-dev (>= 1.2.28),
                libxrandr-dev,
                libxrender-dev,
                libxslt1-dev,
@@ -271,3 +265,8 @@
  .
  This metapackage installs all components of libreoffice:
   * libreoffice-writer: Word processor
+  * libreoffice-calc: Spreadsheet
+  * libreoffice-impress: Presentation
+  * libreoffice-draw: Drawing
+  * libreoffice-base: Database
+  * libreoffice-math: Equation editor
